/// <reference types="react" />
declare const ApiContext: import("react").Context<{
    getQuery: (name: string, options?: any) => any;
    getCallbacks: (name: string, options?: any) => any;
    useQuery: (query: any, options?: any) => {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    } & {
        mockCounter: number;
    };
    useLazyQuery: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
    useMutation: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
}>;
export declare const ApiProvider: import("react").Provider<{
    getQuery: (name: string, options?: any) => any;
    getCallbacks: (name: string, options?: any) => any;
    useQuery: (query: any, options?: any) => {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    } & {
        mockCounter: number;
    };
    useLazyQuery: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
    useMutation: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
}>;
export declare const ApiConsumer: import("react").Consumer<{
    getQuery: (name: string, options?: any) => any;
    getCallbacks: (name: string, options?: any) => any;
    useQuery: (query: any, options?: any) => {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    } & {
        mockCounter: number;
    };
    useLazyQuery: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
    useMutation: (query: any, options?: any) => [Function, {
        called: boolean;
        loading: boolean;
        data: any;
        error: any;
    }];
}>;
export default ApiContext;
//# sourceMappingURL=ApiContext.d.ts.map