declare type mutationInfos = {
    called: boolean;
    loading: boolean;
    data: any;
    error: any;
};
declare type queryInfos = {
    called: boolean;
    loading: boolean;
    data: any;
    error: any;
};
declare type lazyQueryInfos = {
    called: boolean;
    loading: boolean;
    data: any;
    error: any;
};
export declare const createDefaultApiContextValue: ({ useMutationMocks, useQueryMocks, useLazyQueryMocks, config, }?: any) => {
    getQuery: (name: string, options?: any) => any;
    getCallbacks: (name: string, options?: any) => any;
    useQuery: (query: any, options?: any) => queryInfos & {
        mockCounter: number;
    };
    useLazyQuery: (query: any, options?: any) => [Function, lazyQueryInfos];
    useMutation: (query: any, options?: any) => [Function, mutationInfos];
};
export default createDefaultApiContextValue;
//# sourceMappingURL=createDefaultApiContextValue.d.ts.map